Package com.sap.ai.sdk.orchestration

# Enum Class OrchestrationTemplateReference.ScopeEnum

java.lang.Object
java.lang.Enum<OrchestrationTemplateReference.ScopeEnum>
com.sap.ai.sdk.orchestration.OrchestrationTemplateReference.ScopeEnum

All Implemented Interfaces:
  `Serializable`, `Comparable<OrchestrationTemplateReference.ScopeEnum>`, `Constable`

Enclosing class:
  `OrchestrationTemplateReference`

public static enum OrchestrationTemplateReference.ScopeEnum extends Enum<OrchestrationTemplateReference.ScopeEnum>
Enum representing the scope of the template reference.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `RESOURCE_GROUP`
  Template is resolved within the configured resource group scope.
  `TENANT`
  Template is resolved within the current tenant scope.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static OrchestrationTemplateReference.ScopeEnum`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static OrchestrationTemplateReference.ScopeEnum[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TENANT

    public static final OrchestrationTemplateReference.ScopeEnum TENANT
    Template is resolved within the current tenant scope.

  - ### RESOURCE_GROUP

    public static final OrchestrationTemplateReference.ScopeEnum RESOURCE_GROUP
    Template is resolved within the configured resource group scope.

- ## Method Details

  - ### values

    public static OrchestrationTemplateReference.ScopeEnum[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static OrchestrationTemplateReference.ScopeEnum valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null